This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 209631 - quickfix crashes eclipse
quickfix crashes eclipse
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andrew Overholt
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-06 10:55 EDT by Nurdin Premji
Modified: 2008-05-06 20:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:56:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Log file (44.82 KB, text/plain)
2006-10-06 10:58 EDT, Nurdin Premji
no flags Details
Log file for quickfix bug October 11, 2006 (73.94 KB, text/plain)
2006-10-11 11:31 EDT, Nurdin Premji
no flags Details
Console data log of eclipse quickfix crash (26.96 KB, text/plain)
2006-12-14 14:24 EST, Nurdin Premji
no flags Details

  None (edit)
Description Nurdin Premji 2006-10-06 10:55:20 EDT
Description of problem:
 Clicking on quickfix (or ctrl-1) and accepting a quickfix sometimes crashes the
jvm.

Version-Release number of selected component (if applicable):

grep eclipse.product /usr/share/eclipse/configuration/config.ini 
eclipse.product=org.eclipse.sdk.ide
# the identified eclipse.product defines the default application to run.

rpm -qa | grep eclipse
eclipse-cdt-3.1.1-1.fc6
eclipse-gef-sdk-3.2.0-2
eclipse-subclipse-1.1.5-2.fc6
eclipse-pde-sdk-3.2.1-4.fc6
eclipse-ecj-3.2.1-4.fc6
eclipse-platform-3.2.1-4.fc6
eclipse-platform-sdk-3.2.1-4.fc6
eclipse-pde-runtime-3.2.1-4.fc6
eclipse-subclipse-book-1.1.5-2.fc6
eclipse-sdk-3.2.1-4.fc6
eclipse-jdt-3.2.1-4.fc6
eclipse-changelog-2.3.2-1.fc6
eclipse-cdt-sdk-3.1.1-1.fc6
eclipse-pde-3.2.1-4.fc6
eclipse-rcp-sdk-3.2.1-4.fc6
eclipse-bugzilla-0.2.4-3.fc6
eclipse-gef-examples-3.2.0-2
eclipse-rcp-3.2.1-4.fc6
eclipse-gef-3.2.0-2
eclipse-jdt-sdk-3.2.1-4.fc6


How reproducible:
About 1 in every 3-5 times of clicking on a quick-fix.

Steps to Reproduce:
1. Find an error/warning
2. Click on the quickfix (or press ctrl-1)
3. JVM crashes.
  
Actual results:

JVM crashes with:

JVM terminated Exit code = 1
/usr/bin/java
jar startup.jar
os linux
ws gtk
arch x86
launcher /usr/bin/eclipse
name Eclipse
showsplash 600
exitdata b800f
vm /usr/bin/java
vmargs
jar startup.jar

Expected results:

Quickfix completes

Additional info:
Comment 1 Nurdin Premji 2006-10-06 10:58:33 EDT
Created attachment 137923 [details]
Log file

Now eclipse won't start with the following log.
Comment 2 Andrew Overholt 2006-10-06 16:48:09 EDT
(In reply to comment #0)
> Description of problem:
>  Clicking on quickfix (or ctrl-1) and accepting a quickfix sometimes crashes the
> jvm.
> [...]
> How reproducible:
> About 1 in every 3-5 times of clicking on a quick-fix.

I couldn't reproduce it here but if you can, can you send me the log file when
it happens?  In the meantime, I'll keep trying.

(In reply to comment #1)
> Created an attachment (id=137923) [edit]
> Log file
> 
> Now eclipse won't start with the following log.

I don't know what's causing this but it looks workspace-dependent.  You can
always try a new workspace by using the -data flag:  ie. eclipse -data <new
workspace location>.  I know that doesn't solve this particular issue but it may
skirt it for a moment.  Also, try starting with the -clean option.
Comment 3 Nurdin Premji 2006-10-11 11:31:39 EDT
Created attachment 138246 [details]
Log file for quickfix bug October 11, 2006

Okay it happened again here is the log file.
I tried to quick fix an "add unimplemented methods" while creating a new class.


Seems like the log has a bunch of other stuff that I forgot to get rid of
including some previous locking errors, will try deleting log and running
eclipse again till I get that bug.
Comment 4 Ben Konrath 2006-10-11 16:38:43 EDT
You're right, the log file isn't much help here. You should try running eclipse
from the command line with the -consolelog option - eclipse might print
something to the screen that doesn't get put on disk. Then you can just post the
last few errors from your console.
Comment 5 Ben Konrath 2006-11-22 16:12:37 EST
Please see comment #4.
Comment 6 Nurdin Premji 2006-11-22 16:49:55 EST
Okay I'll try to remember to run eclipse from the console with -consolelog. I
think I did previously and got nothing in the terminal (not even a "eclipse
exited badly") But I will be more persistent.
Comment 7 Ben Konrath 2006-11-22 16:52:25 EST
Does this still happen often? It doesn't happen for me at all.
Comment 8 Nurdin Premji 2006-11-22 17:13:12 EST
Ben, yup it happens every once in a while for me, but it's happening much less
often (once or twice a week instead of per day) than it used to.
Comment 9 Ben Konrath 2006-12-06 14:22:57 EST
Did you get a stack trace yet?
Comment 10 Nurdin Premji 2006-12-14 14:24:38 EST
Created attachment 143682 [details]
Console data log of eclipse quickfix crash

output from running eclipse -consolelog for the last week.

I just got another quick fix crash, although looking at the log doesn't seem to
show the problem that caused eclipse to die. The last thing it mentions is a
cvs problem but I was in java perspective at the time of quick fix (I don't
even know if team perspective has quick fix)
Comment 11 Bug Zapper 2008-04-03 14:27:20 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 12 Bug Zapper 2008-05-06 20:56:17 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.